"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThemeStyling = void 0;
var types_1 = require("../types");
var getThemeStyling = function (theme, selectedTheme, mapper) {
    var style = '';
    Object.keys(mapper).map(function (state) {
        var stateStyling = '';
        Object.keys(mapper[state]).map(function (styleProperty) {
            var mapperValue = mapper[state][styleProperty];
            var currentTheme = mapperValue.inverse
                ? theme[selectedTheme === types_1.ThemeColor.dark ? types_1.ThemeColor.light : types_1.ThemeColor.dark]
                : theme[selectedTheme];
            var tokenValue = currentTheme[mapperValue.category][mapperValue.token];
            stateStyling = "" + stateStyling + styleProperty + ": " + tokenValue + ";\n";
        });
        if (state !== types_1.ThemeMapperStates.normal) {
            style = style + ":" + state + " {\n" + stateStyling + "}\n";
        }
        else {
            style = "" + style + stateStyling + "\n";
        }
    });
    return style;
};
exports.getThemeStyling = getThemeStyling;
//# sourceMappingURL=get-theme-styling.js.map